com.mapinfo.midev.language.aggregation

## Class AggregatingSelectList

- java.lang.Object
- - com.mapinfo.midev.language.aggregation.AggregatingSelectList

All Implemented Interfaces:
  Iterable

    public final class AggregatingSelectList
    extends Object
    implements Iterable

A `List`-like structure that is used to specify the aggregations to apply and return as part of an `AggregatingSearch`.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`AggregatingQueryAttribute` `get(int index)` Returns the `AggregatingQueryAttribute` at the specified location.
`int` `hashCode()`
`boolean` `isEmpty()` Returns `true` if this `AggregatingSelectList` is empty; `false` if not.
`Iterator` `iterator()` Returns an `Iterator` for iterating over the `AggregatingQueryAttributes` in this `AggregatingSelectList`.
`int` `size()` Returns the number of `AggregatingQueryAttributes` in the `AggregatingSelectList`.

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Method Detail

#### isEmpty

    public boolean isEmpty()

Returns `true` if this `AggregatingSelectList` is empty; `false` if not.

Returns:
  `true` if this `AggregatingSelectList` is empty; `false` if not.

#### iterator

    public Iterator iterator()

Returns an `Iterator` for iterating over the `AggregatingQueryAttributes` in this `AggregatingSelectList`.

Specified by:
  `iterator` in interface `Iterable`
Returns:
  an `Iterator` for iterating over the `AggregatingQueryAttributes` in this `AggregatingSelectList`.

#### size

    public int size()

Returns the number of `AggregatingQueryAttributes` in the `AggregatingSelectList`.

Returns:
  the number of `AggregatingQueryAttributes` in the `AggregatingSelectList`.

#### get

    public AggregatingQueryAttribute get(int index)

Returns the `AggregatingQueryAttribute` at the specified location. Throws an `IndexOutOfBoundsException` if the specified index is < 0 or >= `AggregatingSelectList.size()`.

Parameters:
  `index` - the index of the `AggregatingQueryAttribute` to return.
Returns:
  the `AggregatingQueryAttribute` at the specified location.
Throws:
  `IndexOutOfBoundsException` - if the specified index is < 0 or >= `AggregatingSelectList.size()`.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`